%define	xmmsinputdir	%(xmms-config --input-plugin-dir)
%define name  flac
%define version  1.0.4
%define release  5mdk

%define major  4
%define libname lib%{name}%{major}
%define majorpp 2
%define libnamepp lib%{name}++%{majorpp}
%define oggmajor 0
%define liboggname libogg%{name}%{oggmajor}
%define oggmajorpp 0
%define liboggnamepp libogg%{name}++%{oggmajorpp}

Name: %name 
Summary: An encoder/decoder for the Free Lossless Audio Codec. 
Version:  %version
Release:  %release
License: GPL
Group:  Sound
URL: http://flac.sourceforge.net/
Source: http://prdownloads.sourceforge.net/flac/flac-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: xmms-devel 
BuildRequires: libogg0-devel
BuildRequires: nasm
BuildRequires: libid3lib3.8-devel


%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

FLAC is comprised of 1) `libFLAC', a library which implements
reference encoders and decoders, licensed under the GNU Lesser
General Public License (LGPL); 2) `flac', a command-line program for
encoding and decoding files, licensed under the GNU General public
License (GPL); 3) `metaflac', a command-line program for editing
FLAC metadata, licensed under the GPL; 4) player plugins for XMMS
and Winamp, licensed under the GPL; and 5) documentation, licensed
under the GNU Free Documentation License.


%package -n %libname 
Summary: Shared libraries for FLAC.
Group:  System/Libraries

%description  -n %libname
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the C libraries.

%package -n %libname-devel
Summary: Libraries and headers needed for building apps using FLAC
Group: Development/C
Requires: %{libname} = %{version}-%release
Provides:  libflac-devel = %version-%release

%description -n%libname-devel
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C.

%package -n %libnamepp
Summary: Shared C++ libraries for FLAC.
Group: System/Libraries

%description  -n %libnamepp
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries for C++ applications.

%package -n %libnamepp-devel
Summary: Libraries and headers needed for building apps using FLAC++
Group: Development/C++
Requires: %{libnamepp} = %{version}-%release
Requires: %libname-devel = %version-%release
Provides:  libflac++-devel = %version-%release

%description -n %libnamepp-devel
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C++.

%package -n %liboggname
Summary: Shared libraries for OggFLAC.
Group:  System/Libraries

%description  -n %liboggname
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the C libraries for FLAC data inside Ogg streams.

%package -n %liboggname-devel
Summary: Developer files needed for building apps using OggFLAC
Group: Development/C
Requires: %{libname}-devel = %{version}-%release
Requires: %{liboggname} = %{version}-%release
Provides:  liboggflac-devel = %version-%release

%description -n%liboggname-devel
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using OggFLAC written in C.

%package -n %liboggnamepp
Summary: Shared C++ libraries for OggFLAC.
Group: System/Libraries

%description  -n %liboggnamepp
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries for C++ applications using OggFLAC.

%package -n %liboggnamepp-devel
Summary: Libraries and headers needed for building apps using OggFLAC++
Group: Development/C++
Requires: %{liboggnamepp} = %{version}-%release
Requires: %liboggname-devel = %version-%release
Requires: %libnamepp-devel = %version-%release
Provides:  liboggflac++-devel = %version-%release

%description -n %liboggnamepp-devel
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using OggFLAC written in C++.


%package xmms
Summary: Xmms plugin to play FLAC files
Group:  Sound
Requires: xmms >= 0.9.5.1

%description xmms
An input plugin that enables playback of FLAC files in xmms.

%prep
%setup -q 

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{xmmsinputdir}
%makeinstall_std
find doc/html -name "Makefile*" -exec rm -f {} \;
rm -f %buildroot/%_libdir/xmms/Input/libxmms-flac.la

%clean
rm -rf %{buildroot}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%post -n %libnamepp -p /sbin/ldconfig
%postun -n %libnamepp -p /sbin/ldconfig
%post -n %liboggname -p /sbin/ldconfig
%postun -n %liboggname -p /sbin/ldconfig
%post -n %liboggnamepp -p /sbin/ldconfig
%postun -n %liboggnamepp -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* README doc/html
%{_bindir}/flac
%{_bindir}/metaflac
%{_mandir}/man1/*

%files -n %libname 
%defattr(-, root, root)
%_libdir/libFLAC.so.*

%files -n %libnamepp 
%defattr(-, root, root)
%_libdir/libFLAC++.so.*

%files -n %libname-devel 
%defattr(-, root, root)
%{_includedir}/FLAC
%{_libdir}/libFLAC.a
%{_libdir}/libFLAC.la
%{_libdir}/libFLAC.so
%_datadir/aclocal/libFLAC.m4

%files -n %libnamepp-devel 
%defattr(-, root, root)
%{_includedir}/FLAC++
%{_libdir}/libFLAC++.a
%{_libdir}/libFLAC++.la
%{_libdir}/libFLAC++.so
%_datadir/aclocal/libFLAC++.m4



%files -n %liboggname 
%defattr(-, root, root)
%_libdir/libOggFLAC.so.*

%files -n %liboggnamepp 
%defattr(-, root, root)
%_libdir/libOggFLAC++.so.*

%files -n %liboggname-devel 
%defattr(-, root, root)
%{_includedir}/OggFLAC
%{_libdir}/libOggFLAC.a
%{_libdir}/libOggFLAC.la
%{_libdir}/libOggFLAC.so
%_datadir/aclocal/libOggFLAC.m4

%files -n %liboggnamepp-devel 
%defattr(-, root, root)
%{_includedir}/OggFLAC++
%{_libdir}/libOggFLAC++.a
%{_libdir}/libOggFLAC++.la
%{_libdir}/libOggFLAC++.so
%_datadir/aclocal/libOggFLAC++.m4

%files xmms
%defattr(-, root, root)
%{xmmsinputdir}/*.so

%changelog
* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-5mdk
- rebuild

* Mon Nov 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-4mdk
- rebuild with new id3lib

* Sun Nov 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-3mdk
- remove unpackaged files at install stage

* Mon Nov  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-2mdk
- buildrequires libid3lib3.8-devel

* Wed Sep 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- 1.0.4 final

* Thu Sep 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-0.beta.2mdk
- update to a fixed tarball of 1.0.4beta
- drop the extra vorbiscomment.h

* Wed Sep 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-0.beta.1mdk
- fix some descriptions
- split out liboggflac and liboggflac++ to extra packages
- major version 4, flac++ major 2
- add missing vorbiscomment.h
- drop the patch
- new version 1.0.4beta

* Mon Aug 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-4mdk
- rebuild with the final gcc 3.2

* Sun Aug 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-3mdk
- gcc 3.2 build

* Fri Jul  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-2mdk
- C++ devel package requires C devel package

* Thu Jul  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- add extra packages for C++ library
- change major version number to 3
- fix provides and requires
- 1.0.3
- spec cleanup

* Thu Jul 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- use ldconfig -n
- from Charles A Edwards <eslrahc@bellsouth.net> :
	- initial Mandrake release
	- modified other spec 
